+++
title = "helm init"
weight = "16"

tags = ["commands"]
section = "helm-commands"
categories = ["helm-commands"]
type = "page"

slug = "helm-init"

[menu.main]
  url = "helm-init"
  parent = "helm-commands"

+++

## helm init

initialize Helm on both client and server

### Synopsis



This command installs Tiller (the helm server side component) onto your
Kubernetes Cluster and sets up local configuration in $HELM_HOME (default ~/.helm/)

As with the rest of the Helm commands, 'helm init' discovers Kubernetes clusters
by reading $KUBECONFIG (default '~/.kube/config') and using the default context.

To set up just a local environment, use '--client-only'. That will configure
$HELM_HOME, but not attempt to connect to a remote cluster and install the Tiller
deployment.

When installing Tiller, 'helm init' will attempt to install the latest released
version. You can specify an alternative image with '--tiller-image'. For those
frequently working on the latest code, the flag '--canary-image' will install
the latest pre-release version of Tiller (e.g. the HEAD commit in the GitHub
repository on the master branch).

To dump a manifest containing the Tiller deployment YAML, combine the
'--dry-run' and '--debug' flags.


```
helm init
```

### Options

```
      --canary-image             use the canary tiller image
  -c, --client-only              if set does not install tiller
      --dry-run                  do not install local or remote
      --local-repo-url string    URL for local repository (default "http://127.0.0.1:8879/charts")
      --net-host                 install tiller with net=host
      --service-account string   name of service account
      --skip-refresh             do not refresh (download) the local repository cache
      --stable-repo-url string   URL for stable repository (default "https://kubernetes-charts.storage.googleapis.com")
  -i, --tiller-image string      override tiller image
      --tiller-tls               install tiller with TLS enabled
      --tiller-tls-cert string   path to TLS certificate file to install with tiller
      --tiller-tls-key string    path to TLS key file to install with tiller
      --tiller-tls-verify        install tiller with TLS enabled and to verify remote certificates
      --tls-ca-cert string       path to CA root certificate
      --upgrade                  upgrade if tiller is already installed
```

### Options inherited from parent commands

```
      --debug                     enable verbose output
      --home string               location of your Helm config. Overrides $HELM_HOME (default "~/.helm")
      --host string               address of tiller. Overrides $HELM_HOST
      --kube-context string       name of the kubeconfig context to use
      --tiller-namespace string   namespace of tiller (default "kube-system")
```

### SEE ALSO
* [helm](#helm)	 - The Helm package manager for Kubernetes.
